<?php
  $sitename = 'UpravDoc';
  $software_version = '2.0';
  $sitename_url = 'http://document-workflow-management.com';
  $sitename_url_price = 'http://document-workflow-management.com/price';
      
  $html_charset = 'UTF-8';
    
  $doclist_page_count = 20;
  $newslist_page_count = 20;
  
    
  $datenull = '2001-02-03';
  $datetimenull = '2001-02-03 00:00:00';
  
  include_once('user_params.php');
  include_once('lang.php');
   
  $array_menu = array( 
    array(GetLang(6), ''), 
    array(GetLang(7), 'inbox'), 
    array(GetLang(8), 'created'), 
    array(GetLang(9), 'control'), 
    array(GetLang(10), 'taken'),
    array(GetLang(11), 'signed'),
    array(GetLang(12), 'arhive'),    
    array(GetLang(13), ''), 
    array(GetLang(14), 'newdoc'),
    array(GetLang(121), ''), 
    array(GetLang(103), 'find'),
    array(GetLang(124), 'news'),
    array(GetLang(139), 'expired'),
    array(GetLang(157), 'interface'),
    array(GetLang(122), 'exit'),
    array(GetLang(15), ''), 
    array(GetLang(16), 'handbook&handbookname=doctype', 'a'),
    array(GetLang(17), 'handbook&handbookname=docatrtype', 'a'),
    array(GetLang(18), 'handbook&handbookname=docatrtypegroup', 'a'),
    array(GetLang(19), 'handbook&handbookname=docatrtypegroupdoctype', 'a'),
    array(GetLang(20), 'handbook&handbookname=usergroup', 'a'), 
	array(GetLang(21), 'handbook&handbookname=proguser', 'a'), 
	array(GetLang(147), 'handbook&handbookname=docuserlistgroup', 'a'),
	array(GetLang(149), 'handbook&handbookname=docuserlist', 'a'),
    array(GetLang(152), 'handbook&handbookname=keys', 'a')
  );
  
  $array_handbook_doctype =  array(    
    'field_id' => 'doctype_id',
    'sql' => 'SELECT doctype_id, doctype_name FROM doctype ORDER BY doctype_name',
    'column' => array(GetLang(22)),
    'form' => array('doctype_name' => GetLang(22)),
    'form_needenter' => array('doctype_name'),    
    'form_sql' => array('doctype_name' => 'SELECT doctype_name FROM doctype WHERE doctype_id=%d'), 
    'new' => array('SetDocType' => array('doctype_name')), 
    'del' => array('DelDocType')    
  );
  
  $array_handbook_docatrtype =  array(    
    'field_id' => 'docatrtype_id',
    'sql' => 'SELECT dat.docatrtype_id, dat.docatrtype_name, datt.docatrtypetype_name, dt.docatrtypegroup_name FROM docatrtype dat, docatrtypegroup dt, docatrtypetype datt WHERE dt.docatrtypegroup_id = dat.docatrtypegroup_id AND datt.docatrtypetype_id = dat.docatrtypetype_id ORDER BY dt.docatrtypegroup_name, dat.docatrtype_name',
    'column' => array(GetLang(22), GetLang(23), GetLang(24)),
    'form' => array('docatrtype_name' => GetLang(22), 
                    'docatrtypegroup_id' => array('name' => GetLang(24), 
                                                  'sql' => 'SELECT docatrtypegroup_id, docatrtypegroup_name FROM docatrtypegroup ORDER BY docatrtypegroup_name'),
                    'docatrtypetype_id' => array('name' => GetLang(25), 
                                                 'sql' => 'SELECT docatrtypetype_id, docatrtypetype_name FROM docatrtypetype ORDER BY docatrtypetype_name')),                    
    'form_sql' => array('docatrtype_name' => 'SELECT docatrtype_name FROM docatrtype WHERE docatrtype_id=%d',
                        'docatrtypegroup_id' => 'SELECT docatrtypegroup_id FROM docatrtype WHERE docatrtype_id=%d', 
                        'docatrtypetype_id' => 'SELECT docatrtypetype_id FROM docatrtype WHERE docatrtype_id=%d'), 
    'form_func' => array('Tmp_ShowDocAtrTypeUpd();'),      
    'form_func_action' => array('Tmp_DocAtrTypeSet(%d);'),
    'form_needenter' => array('docatrtype_name', 'docatrtypegroup_id', 'docatrtypetype_id'),    
    'new' => array('SetDocAtrType' => array('docatrtype_name', 'docatrtypegroup_id', 'docatrtypetype_id')), 
    'del' => array('DelDocAtrType')    
  );
  
  $array_handbook_docatrtypegroup =  array(    
    'field_id' => 'docatrtypegroup_id',
    'sql' => 'SELECT docatrtypegroup_id, docatrtypegroup_name FROM docatrtypegroup ORDER BY docatrtypegroup_name',
    'column' => array(GetLang(22)),
    'form' => array('docatrtypegroup_name' => GetLang(22)),
    'form_sql' => array('docatrtypegroup_name' => 'SELECT docatrtypegroup_name FROM docatrtypegroup WHERE docatrtypegroup_id=%d'), 
    'form_needenter' => array('docatrtypegroup_name'),    
    'new' => array('SetDocAtrTypeGroup' => array('docatrtypegroup_name')), 
    'del' => array('DelDocAtrTypeGroup')    
  );
  
  $array_handbook_docatrtypegroupdoctype =  array(    
    'field_id' => 'docatrtypegroupdoctype_id',
    'sql' => 'SELECT datgdt.docatrtypegroupdoctype_id, datg.docatrtypegroup_name, dt.doctype_name FROM docatrtypegroupdoctype datgdt, doctype dt, docatrtypegroup datg WHERE datgdt.doctype_id = dt.doctype_id AND datgdt.docatrtypegroup_id = datg.docatrtypegroup_id ORDER BY datg.docatrtypegroup_name, dt.doctype_name',
    'column' => array(GetLang(24), GetLang(26)),
    'form' => array('docatrtypegroup_id' => array('name' => GetLang(24), 
                                                  'sql' => 'SELECT docatrtypegroup_id, docatrtypegroup_name FROM docatrtypegroup ORDER BY docatrtypegroup_name'), 
                    'doctype_id' => array('name' => GetLang(26), 
                                          'sql' => 'SELECT doctype_id, doctype_name FROM doctype ORDER BY doctype_name')),
    'form_sql' => array('doctype_id' => 'SELECT doctype_id FROM docatrtypegroupdoctype WHERE docatrtypegroupdoctype_id=%d', 
                        'docatrtypegroup_id' => 'SELECT docatrtypegroup_id FROM docatrtypegroupdoctype WHERE docatrtypegroupdoctype_id=%d'), 
    'form_needenter' => array('docatrtypegroup_id', 'doctype_id'),
    'new' => array('SetDocAtrTypeGroupDocType' => array('doctype_id', 'docatrtypegroup_id')), 
    'del' => array('DelDocAtrTypeGroupDocType')    
  );
  
  $array_handbook_usergroup =  array(    
    'field_id' => 'usergroup_id',
    'sql' => 'SELECT ug1.usergroup_id, ug1.usergroup_name, ug2.usergroup_name FROM usergroup ug1, usergroup ug2 '
      .'WHERE ug1.parent_id = ug2.usergroup_id AND ug1.usergroup_id <> 1 '
      .'ORDER BY ug2.usergroup_id, ug2.usergroup_name, ug1.usergroup_name',
    'column' => array(GetLang(22), GetLang(27)),
    'form' => array('parent_id' => array('name' => GetLang(27),
                                         'sql_proc' => 'ShowUsergroupSelect(%s, %d)'), 
                    'usergroup_name' => GetLang(22)),
    'form_sql' => array('parent_id' => 'SELECT parent_id FROM usergroup WHERE usergroup_id=%d',
                        'usergroup_name' => 'SELECT usergroup_name FROM usergroup WHERE usergroup_id=%d'), 
    'form_needenter' => array('parent_id', 'usergroup_name'),
    'new' => array('SetUserGroup' => array('parent_id', 'usergroup_name')), 
    'del' => array('DelUserGroup')    
  );
  
  $array_handbook_proguser =  array(    
    'field_id' => 'proguser_id',
    'sql' => 'SELECT pu.proguser_id, pu.proguser_name, pu.proguser_surname, '
	         .'  pu.proguser_middlename,  pu.proguser_login, ug.usergroup_name '
             .'FROM proguser pu, usergroup ug '
             .'WHERE pu.usergroup_id = ug.usergroup_id '
             .'ORDER BY pu.proguser_name, pu.proguser_surname, pu.proguser_middlename, '
			 .'  pu.proguser_login, ug.usergroup_name',
    'column' => array(GetLang(28), GetLang(29), GetLang(30), GetLang(3), GetLang(24)),
    'form' => array('usergroup_id' => array('name' => GetLang(24),
                                            'sql_proc' => 'ShowUsergroupSelect(%s, %d)'), 
                    'proguser_name' => GetLang(28),
					'proguser_surname' => GetLang(29),
                    'proguser_middlename' => GetLang(30),
					'proguser_login' => GetLang(3),
					'proguser_password' => GetLang(4), 
                    'proguser_email' => GetLang(145)),
    'form_sql' => array('usergroup_id' => 'SELECT usergroup_id FROM proguser WHERE proguser_id=%d',                        
						'proguser_name' => 'SELECT proguser_name FROM proguser WHERE proguser_id=%d',
					    'proguser_surname' => 'SELECT proguser_surname FROM proguser WHERE proguser_id=%d',
                        'proguser_middlename' => 'SELECT proguser_middlename FROM proguser WHERE proguser_id=%d',
					    'proguser_login' => 'SELECT proguser_login FROM proguser WHERE proguser_id=%d',
					    'proguser_password' => 'SELECT proguser_password FROM proguser WHERE proguser_id=%d',
                        'proguser_email' => 'SELECT proguser_email FROM proguser WHERE proguser_id=%d'), 
    'form_func' => array('Tmp_ShowProgUserUpd();'),      
    'form_func_action' => array('Tmp_ProgUserSet(%d);'),
    'form_needenter' => array('usergroup_id', 'proguser_name', 'proguser_surname', 'proguser_login', 'proguser_password'),
    'new' => array('SetProgUser' => array('usergroup_id', 'proguser_name', 'proguser_surname', 
	                                      'proguser_middlename', 'proguser_login', 'proguser_password', 
                                          'proguser_email')), 
    'del' => array('DelProgUser')    
  );
  
  $array_handbook_docuserlistgroup =  array(    
    'field_id' => 'docuserlistgroup_id',
    'sql' => 'SELECT docuserlistgroup_id, docuserlistgroup_name FROM docuserlistgroup ORDER BY docuserlistgroup_name',
    'column' => array(GetLang(22)),
    'form' => array('docuserlistgroup_name' => GetLang(22)),
    'form_needenter' => array('docuserlistgroup_name'),    
    'form_sql' => array('docuserlistgroup_name' => 'SELECT docuserlistgroup_name FROM docuserlistgroup WHERE docuserlistgroup_id=%d'), 
    'new' => array('SetDocUserListGroup' => array('docuserlistgroup_name')), 
    'del' => array('DelDocUserListGroup')    
  );
  
  $array_handbook_docuserlist =  array(    
    'field_id' => 'docuserlist_id',
    'sql' => 'SELECT dul.docuserlist_id, dulg.docuserlistgroup_name, p.proguser_id FROM docuserlist dul, docuserlistgroup dulg, proguser p WHERE dulg.docuserlistgroup_id = dul.docuserlistgroup_id AND p.proguser_id = dul.proguser_id ORDER BY dulg.docuserlistgroup_name, p.proguser_surname, p.proguser_name',
    'column' => array(GetLang(148), GetLang(115)),
    'form' => array('docuserlistgroup_id' => array('name' => GetLang(148), 
                                                  'sql' => 'SELECT docuserlistgroup_id, docuserlistgroup_name FROM docuserlistgroup ORDER BY docuserlistgroup_name'), 
                    'proguser_id' => array('name' => GetLang(115), 
                                           'proguser' => 'yes')),
    'form_sql' => array('docuserlistgroup_id' => 'SELECT docuserlistgroup_id FROM docuserlist WHERE docuserlist_id=%d', 
                        'proguser_id' => 'SELECT proguser_id FROM docuserlist WHERE docuserlist_id=%d'), 
    'form_needenter' => array('docuserlistgroup_id', 'proguser_id'),
    'new' => array('SetDocUserList' => array('docuserlistgroup_id', 'proguser_id')), 
    'del' => array('DelDocUserList')    
  );
  
  $array_handbook_keys =  array(    
    'field_id' => 'keys_id',
    'sql' => 'SELECT keys_id, keys_text FROM `keys` ORDER BY keys_text',
    'column' => array(GetLang(151)),
    'form' => array('keys_text' => GetLang(151)),
    'form_needenter' => array('keys_text'),    
    'form_sql' => array('keys_text' => 'SELECT keys_text FROM `keys` WHERE keys_id=%d'), 
    'new' => array('SetKeys' => array('keys_text')), 
    'del' => array('DelKeys')    
  );
  
  $array_handbook = array();  
  $array_handbook['doctype'] = $array_handbook_doctype;
  $array_handbook['docatrtype'] = $array_handbook_docatrtype;
  $array_handbook['docatrtypegroup'] = $array_handbook_docatrtypegroup;
  $array_handbook['docatrtypegroupdoctype'] = $array_handbook_docatrtypegroupdoctype;  
  $array_handbook['usergroup'] = $array_handbook_usergroup;
  $array_handbook['proguser'] = $array_handbook_proguser;
  $array_handbook['docuserlistgroup'] = $array_handbook_docuserlistgroup;
  $array_handbook['docuserlist'] = $array_handbook_docuserlist;
  $array_handbook['keys'] = $array_handbook_keys;
  
  function GetFileCalendar()
  {
    global $dateformat;
    
    if ($dateformat == 1)
      return 'calendar_eu.js';
    if ($dateformat == 2)
      return 'calendar_us.js';
    if ($dateformat == 3)
      return 'calendar_db.js';
  };
  
  $ytrewd = true;
?>