<?php
  GetSessionProgUserId();
  
  CheckGetParamExist('doc_id', 'i');  
  $doc_id = (int)$_GET['doc_id'];
  $control_id = GetDocControlId($doc_id);
  
  if (GetDocUserRole($doc_id, $global_proguser_id) == '')
    die(GetLang(58));
    
  function ShowInfoLine($Atitle, $Avar)
  {
    if ($Avar != '')
    {
      echo GetRigthHtmlStr($Atitle).': ';
      if ($Avar != nl2br($Avar))
        br();
      echo GetRigthHtmlStr($Avar);
      echo "\n";
      echo '<br/>';
    };
  };

  function ShowDocTitle($Adoc_id)
  {  
    $sql = "SELECT d.doc_name, d.doc_date, dt.doctype_name, "
      ."pu.proguser_name, pu.proguser_surname, pu.proguser_middlename, "
      ."co.proguser_name control_name, co.proguser_surname control_surname, "
      ."co.proguser_middlename control_middlename "
      ."FROM doc d, doctype dt, proguser pu, proguser co "
      ."WHERE d.doc_id = $Adoc_id AND dt.doctype_id = d.doctype_id AND "
      ."pu.proguser_id = d.creater_id AND co.proguser_id = d.control_id";
    
    $res = mysql_query($sql);
    if ($row = mysql_fetch_object($res)) 
	{
      ShowInfoLine(GetLang(22), $row->doc_name);      
      ShowInfoLine(GetLang(44), DateToStr($row->doc_date));
      ShowInfoLine(GetLang(23), $row->doctype_name);      
      ShowInfoLine(GetLang(45), GetRigthHtmlStr(GetFullName($row->proguser_surname, 
        $row->proguser_name, $row->proguser_middlename)));
      ShowInfoLine(GetLang(42), GetRigthHtmlStr(GetFullName($row->control_surname, 
        $row->control_name, $row->control_middlename)));      
    };
    mysql_free_result($res);
  };
  
  function ShowDocAtr($Adoc_id)
  {
    $sql = "SELECT dat.docatrtype_name, da.docatr_id "
      ."FROM docatr da, docatrtype dat "
      ."WHERE da.doc_id = $Adoc_id AND dat.docatrtype_id = da.docatrtype_id "
      ."ORDER BY dat.docatrtype_name";
    
    $res = mysql_query($sql);
    while ($row = mysql_fetch_object($res)) 
	{
      ShowInfoLine($row->docatrtype_name, GetDocAtrValue($row->docatr_id));      
    };
    mysql_free_result($res);
  };
  
  function ShowDocUserAdd($Adoc_id)
  {
    echo '<a href="javascript: ChangeVisibleElementById('."'id_adddocuser'".')">'.GetLang(59).'</a>';
    
    echo '<div id="id_adddocuser" style="display:none">';
    br();
    
	echo '<form name="form_adddocuser" method="post" action="./action_adddocuser.php" '.
      GetJSCheckForm('proguser_id').'>';
    echo '<input name="doc_id" type="hidden" value="'.$Adoc_id.'" />';
    echo GetLang(51).':';
    br();
    ShowUserSelect('docproguser_id', 'progusergroup_id', -1);
    br();
    echo GetLang(39).':';
    br();
    echo '<textarea name="docuserlog_text"></textarea>';    
    br();
    br();
    echo '<input class="submit" name="Submit" type="submit" value="'.GetLang(33).'" />';    
    echo '</form>';
			
	if (GetSQLExists('SELECT docuserlistgroup_id FROM docuserlistgroup'))
	{
	  br();
	  echo '<form name="form_adddocuserlist" method="post" action="./action_adddocuserlist.php" '.
        GetJSCheckForm('proguser_id').'>';
      echo '<input name="doc_id" type="hidden" value="'.$Adoc_id.'" />';
      echo GetLang(148).':';
      br();
      ShowSelect('docuserlistgroup_id', 'SELECT docuserlistgroup_id, docuserlistgroup_name FROM docuserlistgroup ORDER BY docuserlistgroup_name');
      br();
      echo GetLang(39).':';
      br();
      echo '<textarea name="docuserlog_text"></textarea>';    
      br();
      br();
      echo '<input class="submit" name="Submit" type="submit" value="'.GetLang(33).'" />';    
      echo '</form>';
	};
	
    echo '</div>';
  };  
  
  function GetDocUserHistory($Adocuser_id, $Aproguser_id, $Adocuser_state)
  {
    global $global_proguser_id, $control_id;
    
    if ($global_proguser_id != $control_id && $global_proguser_id != $Aproguser_id)
      return '';
    
    $s = '&nbsp;&nbsp;'.'<a href="javascript: ChangeVisibleElementById('."'id_history_".$Adocuser_id."'".')">'.
      GetLang(60).'</a>';
    $s .= '<div id="id_history_'.$Adocuser_id.'" style="display:none">'.'<br/>';
    
    $sql = "SELECT du.docuserlog_id, du.docuserlog_state, du.docuserlog_date, du.docuserlog_text, "
      ."pu.proguser_name, pu.proguser_surname, pu.proguser_middlename "
      ."FROM docuserlog du, proguser pu "
      ."WHERE du.docuser_id = $Adocuser_id AND pu.proguser_id = du.proguser_id "
      ."ORDER BY du.docuserlog_date";
    
    $res = mysql_query($sql);
    while ($row = mysql_fetch_object($res)) 
	{
      $s .= '<div style="font-size:85%">';
      
      $s .= GetLang(44).': '.DateTimeToStr($row->docuserlog_date).'<br/>';
      $s .= GetLang(51).': '.GetRigthHtmlStr(GetFullName($row->proguser_surname, 
        $row->proguser_name, $row->proguser_middlename)).'<br/>';
      $s .= GetLang(61).': '.GetRigthHtmlStr(GetDocUserStateName($row->docuserlog_state)).'<br/>';
      $s .= GetLang(39).': '.GetRigthHtmlStr($row->docuserlog_text).'<br/>';
      $s .= '<br/>';
      
      $s .= '</div>';
    };
    mysql_free_result($res); 
        
    $s .= '<br/>';        
    $s .= '<form name="form_adddocuserlog_'.$Adocuser_id.'" method="post" action="./action_adddocuserlog.php">';
    $s .= '<input name="docuser_id" type="hidden" value="'.$Adocuser_id.'" />';
    $s .= '<input name="docuser_state" type="hidden" value="'.$Adocuser_state.'" />';
    $s .= '<input name="proguser_id" type="hidden" value="'.$global_proguser_id.'" />';
    $s .= GetLang(62).':'.'<br/>';
    $s .= '<textarea name="docuserlog_text"></textarea>'.'<br/><br/>';   
    $s .= '<input class="submit"  name="Submit" type="submit" value="'.GetLang(33).'" />';    
    $s .= '</form>';
    
    $s .= '</div>';
    
    return $s;
  };
  
  function ShowDocUser($Adoc_id)
  {
    echo '<table>';
    echo '<tr>';    
    
    MyEchoTdHeader(GetLang(51));
    MyEchoTdHeader(GetLang(125));
    MyEchoTdHeader(GetLang(61));    
        
    echo '</tr>';
    
    $sql = "SELECT du.docuser_id, du.docuser_state, du.proguser_id, "
      ."pu.proguser_name, pu.proguser_surname, pu.proguser_middlename "
      ."FROM docuser du, proguser pu "
      ."WHERE du.doc_id = $Adoc_id AND pu.proguser_id = du.proguser_id "
      ."ORDER BY pu.proguser_surname, pu.proguser_name, pu.proguser_middlename";
    
    $res = mysql_query($sql);
    while ($row = mysql_fetch_object($res)) 
	{
      echo '<tr>';
      
      MyEchoTd(GetRigthHtmlStr(GetFullName($row->proguser_surname, 
        $row->proguser_name, $row->proguser_middlename))
        .GetDocUserHistory($row->docuser_id, $row->proguser_id, $row->docuser_state));
      MyEchoTd(GetRigthHtmlStr(GetDocSeeDate($Adoc_id, $row->proguser_id)));      
      MyEchoTd(GetRigthHtmlStr(GetDocUserStateName($row->docuser_state)));      
      
      echo '</tr>';
    };
    mysql_free_result($res); 

    echo '</table>'."\n";    
  };
  
  function ShowAction($Adoc_id)
  {
    global $global_proguser_id, $control_id;
        
    $s = '';
    if (IsDocActive($Adoc_id))
    {         
      if (IsDocProgUserId($Adoc_id, $global_proguser_id))
      {
        $status = GetDocUserStateFromProgUserId($Adoc_id, $global_proguser_id);
      
        if ($status == 1)
          $s .= GetOption(1, GetLang(64));
          
        if ($status == 2)
          $s .= GetOption(2, GetLang(65));
          
        if ($status == 3)
          $s .= GetOption(3, GetLang(66));
        
        if ($status != 3 && $status != -1)
          $s .= GetOption(4, GetLang(67));
      };
      
      if ($global_proguser_id == $control_id)
        $s .= GetOption(11, GetLang(68));
    } else 
    {
      if ($global_proguser_id == $control_id)
        $s .= GetOption(12, GetLang(69));
    };
    
    if ($s != '')
    {      
      ShowDeliver(GetLang(63));
      
      echo '<form name="form_action" method="post" action="./action_docaction.php">';
      echo '<input name="doc_id" type="hidden" value="'.$Adoc_id.'" />';
      echo GetLang(37).': ';
      br();
      echo '<select name="action">'.$s.'</select>';
      br();
      echo GetLang(39).':';
      br();
      echo '<textarea name="comment"></textarea>';   
      br(); 
      br();
      echo '<input class="submit" name="Submit" type="submit" '.GetJSDoItStr().'value="'.GetLang(34).'" />';    
      echo '</form>';
    };
  };  
   
  function ShowDocFile($Adoc_id)
  {    
    global $global_proguser_id, $menu_id, $control_id;
  
    ShowDeliver(GetLang(70));
    
    echo '<table>';
    echo '<tr>';    
    
    MyEchoTdHeader(GetLang(22));
    MyEchoTdHeader(GetLang(71));    
    MyEchoTdHeader(GetLang(44));  
    MyEchoTdHeader(GetLang(51));  
    MyEchoTdHeader(GetLang(39));
    MyEchoTdHeader(GetLang(37));
        
    echo '</tr>';
    
    $sql = "SELECT df.docfile_id, df.docfile_name, df.docfile_size, df.docfile_date, df.docfile_text, "
      ."pu.proguser_id, pu.proguser_name, pu.proguser_surname, pu.proguser_middlename "
      ."FROM docfile df, proguser pu "
      ."WHERE df.doc_id = $Adoc_id AND pu.proguser_id = df.proguser_id "
      ."ORDER BY df.docfile_date, df.docfile_name";
    
    $res = mysql_query($sql);
    while ($row = mysql_fetch_object($res)) 
	{
      echo '<tr>';
      
      MyEchoTd('<a href="./downloaddocfile.php?id='.$row->docfile_id.'">'.GetRigthHtmlStr($row->docfile_name).'</a>');
      MyEchoTd(GetStrFileSize($row->docfile_size));
      MyEchoTd(GetRigthHtmlStr(DateToStr($row->docfile_date)), 0, true);
      MyEchoTd(GetRigthHtmlStr(GetFullName($row->proguser_surname, 
        $row->proguser_name, $row->proguser_middlename)));
      MyEchoTd(GetRigthHtmlStr($row->docfile_text));
      
      $s = '';      
      if ($global_proguser_id == $control_id || $row->proguser_id == $global_proguser_id)
      {
        $s = '<a href="./action_deldocfile.php?id='.$row->docfile_id.'"'.GetJSDoItStr().'>'.GetLang(36).'</a>';
        /*$s .= '/';
        $s .= GetLang(34);*/
      };
      MyEchoTd($s);   
      
      echo '</tr>';
    };
    mysql_free_result($res); 

    echo '</table>'."\n";
    
?>
    <a href="javascript: ChangeVisibleElementById('divaddfile')"><?php echo GetLang(43); ?></a>
    
    <div id="divaddfile" style="display:none">
      <form name="newdoc" method="post" enctype="multipart/form-data" action="action_newdocfile.php">
      <input name="doc_id" type="hidden" value="<?php echo $Adoc_id; ?>" />
      <input name="menu_id" type="hidden" value="<?php echo $menu_id; ?>" />
      <?php echo GetLang(38); ?>: 
      <br/>
      <input class="input-file" name="docfile" type="file" />
      <br/>
      <?php echo GetLang(39); ?>:
      <br/>
      <textarea name="comment"></textarea>
      <br/>
      <br/>
      <input class="submit" name="Submit" type="submit" value="<?php echo GetLang(33); ?>" />        
      </form>
    </div>        
<?php
  };
  
  function ShowDocLink($Adoc_id, $Amaster_id, $Adoclinktype_id, $Adeep = 0)
  {        
    global $global_proguser_id;
    
    $s = '';
    
    if ($Amaster_id != -1)
    {      
      $s = GetRigthHtmlStr(GetDocName($Amaster_id));
      if (GetDocUserRole($Amaster_id, $global_proguser_id) != '')
        $s = '<a href="./?menu_id=showdoc&doc_id='.$Amaster_id.'">'.$s.'</a>';
      if ($Adoc_id == $Amaster_id)
        $s = '<b>'.$s.'</b>';
      
      $s = AddSpace(4*$Adeep).$s.'<br/>';
    } else 
    {
      return;
    };
  
    $sql = "SELECT slave_id FROM doclink "
      ."WHERE master_id = $Amaster_id AND doclinktype_id = $Adoclinktype_id";
    
    $res = mysql_query($sql);
    while ($row = mysql_fetch_object($res)) 
	{
      $s .= ShowDocLink($Adoc_id, $row->slave_id, $Adoclinktype_id, $Adeep+1);   
    };
    mysql_free_result($res); 
    
    return $s;
  };
  
  echo '<h1>&nbsp;</h1>';
  ShowDocTitle($doc_id);
  ShowDocAtr($doc_id);
  
  if ($global_proguser_id == $control_id)
  {
    echo '<a href="./?menu_id=editdoc&doc_id='.$doc_id.'">'.GetLang(34).'</a>';
    echo '&nbsp;&nbsp;';
  };
  echo '<a href="./?menu_id=newdoc&master_id='.$doc_id.'">'.GetLang(72).'</a>';
  echo '&nbsp;&nbsp;';
  
  $chat_count_str = '';
  $chat_count = GetChatCount($doc_id, $global_proguser_id);
  if ($chat_count > 0) $chat_count_str = ' ('.$chat_count.')';
  echo '<a href="./?menu_id=chat&doc_id='.$doc_id.'">'.GetLang(73).$chat_count_str.'</a>';
  
  br();br();
  
  $s = ShowDocLink($doc_id, GetMainLinkDoc($doc_id, 1), 1);
  if ($s != '')
  {    
    ShowDeliver(GetLang(74));
    echo $s;
    br();
  };
  
  ShowDocFile($doc_id);
  br();br();
  ShowDeliver(GetLang(21));  
  if ($global_proguser_id == $control_id)
  {
    ShowDocUserAdd($doc_id);
    br();
    br();
  };
  ShowDocUser($doc_id);  
  br();
  ShowAction($doc_id);  
  
  SetDocSee($doc_id, $global_proguser_id);
?>