function trim(str)
{
  return str.replace(/^\\s*|\\s*$/g,'');
}; 

function insertOptionBefore(selectName, num, text, value)
{
  var elSel = document.getElementById(selectName);
  if (elSel.selectedIndex >= 0) {
    var elOptNew = document.createElement('option');
    elOptNew.text = text;
    elOptNew.value = value;
    var elOptOld = elSel.options[elSel.selectedIndex];  
    try {
      elSel.add(elOptNew, elOptOld); // standards compliant; doesn't work in IE
    }
    catch(ex) {
      elSel.add(elOptNew, elSel.selectedIndex); // IE only
    }
  }
};

function JS_ChangeGroup(Index, mas, combousername, combogroupname, selectauser)
{       
  var combo = document.getElementsByName(combousername)[0];      
  var combo2 = document.getElementsByName(combogroupname)[0];
  var x = combo2.options[Index].value; 
                                     
  combo.length = 0; 
  var oOption = document.createElement("OPTION");
  oOption.text=selectauser;
  oOption.value=-1;        
  combo.options.add(oOption);	  
	  
  for (i=0;i<mas.length;i=i+3) 
  {        
    if (mas[i] == x) 
    {          
      oOption = document.createElement("OPTION");
      oOption.text=mas[i+2];
      oOption.value=mas[i+1];        
	  combo.options.add(oOption);
    }; 
  };	  	
  combo.selectedIndex = 0;
}; 

function JS_SetGroupSelect(group_id, user_id, combousername, combogroupname, mas, selectauser)
{
  var user = document.getElementsByName(combousername)[0];      
  var group = document.getElementsByName(combogroupname)[0];
  
  for (i=0; i<group.options.length; i++)
  {
    if (group.options[i].value == group_id)
      break;    
  };  
  group.selectedIndex = i;
  JS_ChangeGroup(i, mas, combousername, combogroupname, selectauser);
  
  for (i=0; i<user.options.length; i++)
  {
    if (user.options[i].value == user_id)
      break;    
  };  
  user.selectedIndex = i; 
};

function ChangeVisibleElementById(Aid)
{
  var elem = document.getElementById(Aid);
	  	  
  if (elem.style.display != "none")
  {
    elem.style.display = "none";		
  } else
  {
	elem.style.display = "block";		
  };
};

function DoIt(Aquestion)
{
  ok = 0;     
  if (confirm(Aquestion))
  {      
    ok = 1;
  };
   
  if (ok == 1) { return true; } else {return false; }; 
};

function CheckForm(Anames, $Atext)
{
  ok = 1;
  
  var mas = Anames.split(",");
  var control;
  
  for (i=0; i<mas.length; i++)
  {    
    control = document.getElementsByName(mas[i])[0];    
    if (control.id == "date")
    {
      if (!IsDate(control.value))
      {
        control.focus();
        alert(NotValidDateStr);
        ok = 0;      
        break;
      };
    };
    
    if (trim(control.value) == '' || control.value == '-1')
    {      
      control.focus();
      alert($Atext);
      ok = 0;      
      break;
    };    
  };
   
  if (ok == 1) { return true; } else {return false; }; 
};

function CheckFindForm($Atext)
{
  ok = 1;

  if (document.finddoc.list_inbox.checked == false &&
    document.finddoc.list_created.checked == false && 
    document.finddoc.list_control.checked == false &&
    document.finddoc.list_taken.checked == false &&
    document.finddoc.list_signed.checked == false &&
    document.finddoc.list_arhive.checked == false)
  {
    alert($Atext);
    ok = 0;
  };
   
  if (ok == 1) { return true; } else {return false; }; 
};